Declare Sub InstallProjectBrowser( ByVal As DWORD, ByVal As DWORD )
Declare Sub UnInstallProjectBrowser(  )

' Messages
#Define RPBM_SETPATH				WM_USER+ 1		' wParam=0, lParam=Pointer to path string
#Define RPBM_GETPATH				WM_USER+ 2		' wParam=0, lParam=0 Returns pointer to path string
#Define RPBM_ADDFILEEXT			WM_USER+ 3		' wParam=Index, lParam=Pointer to a PBFILEEXT structure, if NULL array is cleared
#Define RPBM_GETFILEEXT			WM_USER+ 4		' wParam=Index, lParam=0 Returns pointer to a PBFILEEXT structure
#Define RPBM_SETITEM				WM_USER+ 5		' wParam=Index, lParam=Pointer to a PBITEM structure, if NULL array is cleared
#Define RPBM_GETITEM				WM_USER+ 6		' wParam=Index, lParam=0 Returns pointer to a PBITEM structure
#Define RPBM_SETGROUPING		WM_USER+ 7		' wParam=FALSE/TRUE(Refresh), lParam=0, 1 or 2
#Define RPBM_GETGROUPING		WM_USER+ 8		' wParam=0, lParam=0 Returns grouping 1 or 2
#Define RPBM_SETSELECTED		WM_USER+ 9		' wParam=0, lParam=lpszItem
#Define RPBM_GETSELECTED		WM_USER+10		' wParam=0, lParam=0 Returns pointer to a PBITEM structure
#Define RPBM_SETBACKCOLOR		WM_USER+11		' wParam=0, lParam=nColor
#Define RPBM_GETBACKCOLOR		WM_USER+12		' wParam=0, lParam=0
#Define RPBM_SETTEXTCOLOR		WM_USER+13		' wParam=0, lParam=nColor
#Define RPBM_GETTEXTCOLOR		WM_USER+14		' wParam=0, lParam=0
#Define RPBM_GETIMAGELIST		WM_USER+15		' wParam=0, lParam=0
#Define RPBM_SETTOOLTIP			WM_USER+16		' wParam=n (1 or 2), lParam=lpszText
#Define RPBM_ADDNEWGROUP		WM_USER+17		' wParam=0, lParam=0 Returns pointer to a PBITEM structure
#Define RPBM_DELETEITEM			WM_USER+18		' wParam=0, lParam=0
#Define RPBM_EDITITEM			WM_USER+19		' wParam=0, lParam=0
#Define RPBM_GETEXPAND			WM_USER+20		' wParam=0, lParam=0
#Define RPBM_ADDNEWFILE			WM_USER+21		' wParam=idparent or NULL, lParam=lpszFile Returns pointer to a PBITEM structure
#Define RPBM_FINDITEM			WM_USER+22		' wParam=0 or id, lParam=lpszFile or NULL Returns pointer to a PBITEM structure
#Define RPBM_FINDITEMINDEX		WM_USER+23		' wParam=0 or id, lParam=lpszFile or NULL Returns index, -1 if not found
#Define RPBM_FINDNEXTITEM		WM_USER+24		' wParam=id, lParam=0 Returns pointer to a PBITEM structure
#Define RPBM_SETFLAG				WM_USER+25		' wParam=id, lParam=0, 1 or 2 Returns pointer to a PBITEM structure

Type PBFILEEXT
	id						As Integer					' image index
	szfileext			As ZString * MAX_PATH	' list of fileextensions
End Type

Type PBITEM
	id						As Integer					' <0 for groups,>0 for files
	idparent				As Integer					' id of parent group
	szitem				As ZString * MAX_PATH	' Group string for groups, path & filename for files
	expanded				As Integer					' TRUE if expanded
	flag					As Integer					' 0=Normal, 1=Module, 2=Main
	hitem					As Integer					' Handle of treview item
	lParam				As Integer					' Application defined 32 bit value
End Type

' Notifications
#Define RPBN_DBLCLICK			1
#Define RPBN_ITEMCHANGE			2
#Define RPBN_SELCHANGE			3

Type NMPBITEMDBLCLICK
	nmhdr					As NMHDR
	lpPBITEM				As Integer
End Type

Type NMPBSELCHANGE
	nmhdr					As NMHDR
	lpPBITEM				As Integer
End Type

Type NMPBITEMCHANGE
	nmhdr					As NMHDR
	lpPBITEM				As Integer
	lpsznew				As Integer
	cancel				As Integer
End Type

' Grouping
#Define RPBG_NOCHANGE			&H00000000
#Define RPBG_NONE					&H00000001
#Define RPBG_GROUPS				&H00000002

' Flags
#Define FLAG_NORMAL				&H00000000
#Define FLAG_MODULE				&H00000001
#Define FLAG_MAIN					&H00000002

' Styles
#Define RPBS_FLATTOOLBAR		&H00000001
#Define RPBS_DIVIDERLINE		&H00000002
#Define RPBS_NOPATH				&H00000004

Const szPBClassName = "RAProject"
