Declare Sub InstallRATools( ByVal As DWORD, ByVal As DWORD )
Declare Sub UnInstallRATools(  )


' Tool messages
#Define TLM_INIT					WM_USER+ 1		' wParam=hClient, lParam=hWnd
#Define TLM_CREATE				WM_USER+ 2		' wParam=0, lParam=lpDOCKING Returns handle to tool window (hTool)
#Define TLM_DOCKING				WM_USER+ 3		' wParam=0, lParam=hTool
#Define TLM_HIDE					WM_USER+ 4		' wParam=0, lParam=hTool
#Define TLM_MOUSEMOVE			WM_USER+ 5		' wParam=0, lParam=lParam POINT
#Define TLM_LBUTTONDOWN			WM_USER+ 6		' wParam=0, lParam=lParam POINT
#Define TLM_LBUTTONUP			WM_USER+ 7		' wParam=0, lParam=lParam POINT
#Define TLM_PAINT					WM_USER+ 8		' wParam=0, lParam=0
#Define TLM_SIZE					WM_USER+ 9		' wParam=0, lParam=ptr RECT
#Define TLM_CAPTION				WM_USER+10		' wParam=0, lParam=0
#Define TLM_GETVISIBLE			WM_USER+11		' wParam=0, lParam=hTool Returns TRUE if visible
#Define TLM_GETSTRUCT			WM_USER+12		' wParam=0, lParam=hTool Returns pointer to TOOL struct
#Define TLM_GETDOCKED			WM_USER+13		' wParam=0, lParam=hTool Returns TRUE if docked

' Message to Mdi
#Define WM_TOOLDBLCLICK			WM_USER+1
#Define WM_TOOLSIZE				WM_USER+2
#Define WM_TOOLCLICK				WM_USER+3
#Define WM_TOOLRCLICK			WM_USER+4
#Define WM_TOOLCOMMAND			WM_USER+5

' Docking positions
#Define TL_LEFT					1
#Define TL_TOP						2
#Define TL_RIGHT					3
#Define TL_BOTTOM					4

Type DOCKING
	ID									As Integer
	Caption							As Integer
	Visible							As Integer
	Docked							As Integer
	Position							As Integer
	IsChild							As Integer
	dWidth							As Integer
	dHeight							As Integer		' +28
	fr									As RECT			' Floating
End Type

Type TOOL
	dck								As DOCKING
	dr									As RECT			' Docked
	wr									As RECT			' Child window
	rr									As RECT			' Resize
	tr									As RECT			' Top
	cr									As RECT			' Caption
	br									As RECT			' Close button
	dFocus							As Integer
	dCurFlag							As Integer
	hWin								As Integer
	hCld								As Integer
	lpfnOldCldWndProc				As Integer
End Type

Const szToolClassName = "RATools"

